// XCMDTestbed.c
// Copyright 1996 Michael D. Crawford.  All Rights Reserved.
// 20 Apr 96 Michael D. Crawford

#include <HyperXCMD.h>

#include "TestBedPrefix.h"

typedef pascal void (*tEntryPoint)( XCmdPtr pBPtr );

OSErr InitXCmdBlock( XCmdPtr pBPtr );
pascal void CallBackEntry( XCmdPtr pBPtr );

void main( void )
{
	struct XCmdBlock pB;
	OSErr	err;
	
	err = InitXCmdBlock( &pB );
	if ( err )
		return;
	
	CallXCmd( &pB );	
	
	return;
}

OSErr InitXCmdBlock( XCmdPtr pBPtr )
{
	short	i;
	
	pBPtr->paramCount = 3;
	
	for ( i = 0; i < 3; i++ ){
		pBPtr->params[ i ] = NewHandle( 256 );
		if ( pBPtr->params[ i ] == (Handle)NULL ){
			DebugStr( "\pNewHandle failed" );
			return memFullErr;
		}
	}
	
	// creator code includes null terminator - 'SPWE\0'
	
	BlockMoveData( "SPWE", *( pBPtr->params[ 0 ] ), 5 );
	BlockMoveData( "1", *( pBPtr->params[ 1 ] ), 2 );	// Field number
	BlockMoveData( "1", *( pBPtr->params[ 2 ] ), 2 );	// Card number
	
	for ( i = 3; i < 16; i++ ){
		pBPtr->params[ i ] = (Handle)NULL;
	}
	
	pBPtr->returnValue = (Handle)NULL;
	
	pBPtr->passFlag = NULL;
	pBPtr->entryPoint = (Ptr)CallBackEntry;
	pBPtr->request = 0;
	pBPtr->result = 0;

	for ( i = 0; i < 8; i++ ){
		pBPtr->inArgs[ i ] = (long)NULL;
	}

	for ( i = 0; i < 4; i++ ){
		pBPtr->outArgs[ i ] = (long)NULL;
	}
	
	return noErr;
}

pascal void CallBackEntry( XCmdPtr pBPtr )
{
	return;
}